package com.xdf.creative.base.params.creative;

import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * 信息关键字 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-11-27
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoKeywordQueryParam对象", description = "信息关键字查询参数")
public class InfoKeywordSaveCheckParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private long contentId;

    @ApiModelProperty(value = "关键词id数组")
    private List<Long> keyIds;

}
