package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 文件库 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-31
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoStoreQueryParam对象", description = "文件库查询参数")
public class InfoStoreUrlParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    private String filePath;

    @ApiModelProperty(value = "图片地址")
    private List<InfoStoreUrlEntityParam> urlList;


}
