package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 信息退回 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoBackQueryVo对象", description = "信息退回查询参数")
public class InfoBackQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "外键id")
    private Long infoId;

    @ApiModelProperty(value = "链接名称")
    private String reason;

    @ApiModelProperty(value = "退回类型 1、初审退回  2、终审退回")
    private Integer backType;

    @ApiModelProperty(value = "退回操作人")
    private Long createUser;

    @ApiModelProperty(value = "退回时间")
    private Date backTime;

}