package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 词管理 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-06
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoWordManageQueryVo对象", description = "词管理查询参数")
public class InfoWordManageQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "敏感词")
    private String word;

    @ApiModelProperty(value = "替换内容")
    private String replaceContent;

    @ApiModelProperty(value = "维护人")
    private Long accendantUser;

    @ApiModelProperty(value = "维护时间")
    private Date accendantTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "昵称")
    private String nickname;

}