package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-05
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "OauthTokenQueryVo对象", description = "查询参数")
public class OauthTokenQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private String accessToken;

    private Long userId;

    private String permissions;

    private String roles;

    private Integer refreshToken;

    private Date expireTime;

    private Date createTime;

    private Date updateTime;

}