
package com.xdf.creative.enums;

/**
 * @author DeanYe
 * @date 2019-10-24
 **/
public enum LevelEnum implements BaseTypeStateEnum {
    ONE(1, "一级菜单"),
    TWO(2, "二级菜单"),
    THREE(3, "功能菜单");

    private Integer key;
    private String value;

    LevelEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    @Override
    public Integer getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
