package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ServiceFileUploadDirEnum {
    //1、web服务 2、auth服务 3、admin服务
    //web服务
    SERVICE_FILE_UPLOAD_DIR_WEB(1, "web"),
    //auth服务
    SERVICE_FILE_UPLOAD_DIR_AUTH(2, "auth"),
    //admin服务
    SERVICE_FILE_UPLOAD_DIR_ADMIN(3, "admin");
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (ServiceFileUploadDirEnum boundTypeEnum : ServiceFileUploadDirEnum.values()) {
            if (boundTypeEnum.code == code) {
                return boundTypeEnum.name;
            }
        }
        return null;
    }
}
