package com.xdf.creative.enums.dt;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum AuditInfoStateEnum {
    /**
     * 审核状态  0、草稿 1待审核  2审核通过  3审核失败
     */
    PROJECT_ADUIT_STATE_INIT(0, "草稿 "),
    PROJECT_ADUIT_STATE_WAIT(1, "待审核 "),
    PROJECT_ADUIT_STATE_PASS(2, "审核通过"),
    PROJECT_ADUIT_STATE_FAILED(3, "审核不通过"),

    ;
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (AuditInfoStateEnum sysSignState : AuditInfoStateEnum.values()) {
            if (sysSignState.code == code) {
                return sysSignState.name;
            }
        }
        return null;
    }
}
