package com.xdf.creative.enums.dt;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum UploadCompanyStateEnum {
	/**
	 *  1、新增 （待处理）    2、更新（待处理） 3、删除（待处理）
	 */
	INFO_STATE_INIT_ENUM( 0, "初始状态（已处理）"),
	INFO_STATE_ADD_ENUM( 1, "新增 （待处理）"),
	INFO_STATE_UPDATE_ENUM(2, "更新（待处理）"),
	INFO_STATE_DEL_ENUM( 3, "删除（待处理）"),

	    ;
	    private Integer code;
	    private String name;
}
