package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoBackQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoBackQueryVo;
import com.xdf.creative.module.entity.InfoBack;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 信息退回 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
public interface InfoBackService extends BaseService<InfoBack> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoBackQueryVo getInfoBackById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoBackQueryParam
     * @return
     */
    PageTool<InfoBackQueryVo> getInfoBackPageList(InfoBackQueryParam infoBackQueryParam) throws Exception;

}
