package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoDetailQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoDetailQueryVo;
import com.xdf.creative.module.entity.InfoDetail;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 信息详情 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
public interface InfoDetailService extends BaseService<InfoDetail> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoDetailQueryVo getInfoDetailById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoDetailQueryParam
     * @return
     */
    PageTool<InfoDetailQueryVo> getInfoDetailPageList(InfoDetailQueryParam infoDetailQueryParam) throws Exception;

}
