package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.SysAccountLogQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysAccountLogQueryVo;
import com.xdf.creative.module.entity.SysAccountLog;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 账户登录日志 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
public interface SysAccountLogService extends BaseService<SysAccountLog> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysAccountLogQueryVo getSysAccountLogById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysAccountLogQueryParam
     * @return
     */
    PageTool<SysAccountLogQueryVo> getSysAccountLogPageList(SysAccountLogQueryParam sysAccountLogQueryParam) throws Exception;

}
