
package com.xdf.creative.shiro.jwt;

import com.auth0.jwt.interfaces.DecodedJWT;
import com.xdf.creative.util.IpUtil;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.shiro.authc.AuthenticationToken;

import java.util.Date;

/**
 * Shiro JwtToken对象
 *
 * @author DeanYe
 * @date 2019-09-27
 * @since 1.3.0.RELEASE
 **/
@Data
@Accessors(chain = true)
public class JwtToken  {

    private static final long serialVersionUID = 1L;
    // 秘钥
    private String token;

    public JwtToken(String token) {
        this.token = token;
    }


}
