
package com.xdf.creative.support.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 登录参数
 *
 * @author DeanYe
 * @date 2019-05-15
 **/
@Data
@ApiModel("登录参数")
public class LoginRefreshParam {

    @ApiModelProperty("Token")
    @NotBlank(message = "token不能为空")
    private String token;

    @ApiModelProperty("userId")
    @NotNull(message = "userId不能为空")
    private Long userId;

}
