package com.xdf.creative.support.exception;

import com.xdf.creative.enums.StatusCode;

/**
 * 业务异常
 *
 * @author DeanYe
 * @date 2018-11-08
 */
public class InfoFormException extends SpringBootPlusException {

    public InfoFormException(String message) {
        super(message);
    }

    public InfoFormException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public InfoFormException(StatusCode statusCode){
        super(statusCode.getStatus(), statusCode.getMsg());
    }
}
