package com.xdf.creative.base.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "xdfWenChuHuiContent")
public class InfoContentHtmlEntity {

    @Id
    private String s_id;

    private String infoContId;

    /**
     * 标题
     */
    private String title;
    /**
     *内容文本
     */
    private String contentText;


    private String content;

}
