package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 角色类型 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-02
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoRoleTypeQueryParam对象", description = "角色类型查询参数")
public class InfoRoleImpowerTypeQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    private Long roleId;

    @ApiModelProperty(value = "权限id集合")
    private List<String> infoTypeList;


}
