package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文件库 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-31
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoStoreQueryParam对象", description = "文件库查询参数")
public class InfoStoreUrlEntityParam  {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图片编号")
    private int number;

    @ApiModelProperty(value = "图片路径")
    private String url;

    @ApiModelProperty(value = "图片类型")
    private String type;


}
