package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 信息详情 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoDetailQueryVo对象", description = "信息详情查询参数")
public class InfoDetailQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "摘要")
    private String digest;

    @ApiModelProperty(value = "正文")
    private String content;

    @ApiModelProperty(value = "外键id")
    private String foreignId;

    @ApiModelProperty(value = "超链接")
    private String hyperlink;

}