package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 角色类型 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-02
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoRoleTypeQueryVo对象", description = "角色类型查询参数")
public class InfoRoleTypeQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "栏目主键id")
    private Long infoTypeId;

    @ApiModelProperty(value = "角色id")
    private Long roleId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}