package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 操作日志 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-02
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysOperationLogQueryVo对象", description = "操作日志查询参数")
public class SysOperationLogQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户操作日志主键")
    private Long id;

    @ApiModelProperty(value = "日志名称")
    private String logName;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "api名称")
    private String api;

    @ApiModelProperty(value = "方法名称")
    private String method;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否执行成功(0失败1成功)")
    private Integer succeed;

    @ApiModelProperty(value = "具体消息备注")
    private String detail;

}