package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统用户角色表 查询结果对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-10-30
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysUserRoleQueryVo对象", description = "系统用户角色表查询参数")
public class SysUserRoleQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "角色ID")
    private Long roleId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}