package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 微信群二维码 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2021-01-28
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "WxGroupQueryVo对象", description = "微信群二维码查询参数")
public class WxGroupQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "产业名")
    private String name;

    @ApiModelProperty(value = "微信二维码")
    private String code;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建者id")
    private Long createUserId;


    @ApiModelProperty(value = "状态，0：禁用，1：启用，2：锁定")
    private Integer state;

}