package com.xdf.creative.base.vo.tyrz;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 用户绑定第三方app用户 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-06-05
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysUserExtQueryVo对象", description = "用户绑定第三方app用户查询参数")
public class SysUserCurrentExtInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private long Id;

    @ApiModelProperty(value = "appId")
    private Long appId;

    @ApiModelProperty(value = "三方系统用户id")
    private String appUserId;


}