
package com.xdf.creative.enums;

/**
 * @author DeanYe
 * @date 2019-10-24
 **/
public enum DeviceEnum implements BaseTypeStateEnum {
    ONE(1, "PC端"),
    TWO(2, "移动端"),
   ;

    private Integer key;
    private String value;

    DeviceEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    @Override
    public Integer getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
