package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum InitiationApplryAduitTypeEnum {
    /**
     * 提交阶段  1 初审  2 二审 3终审
     */
    INITIATION_APPLRY_ADUIT_TYPE_INIT(1, "初审"),
    INITIATION_APPLRY_ADUIT_TYPE_SECOND(2, "二审"),
    NITIATION_APPLRY_ADUIT_TYPE_FINAL(3, "终审");
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (InitiationApplryAduitTypeEnum sysSignState : InitiationApplryAduitTypeEnum.values()) {
            if (sysSignState.code == code) {
                return sysSignState.name;
            }
        }
        return null;
    }
}
