package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 类型 1登录成功 2登录失败
 */
public enum LogTypeEnum {
    LOG_TYPE_SUCCESS(1, "登录成功"),
    LOG_TYPE_FAIL(2, "登录失败");
    private Integer code;
    private String name;
    public static String getNameByCode(Integer code) {
        for (LogTypeEnum organizeTypeEnum : LogTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }
        return null;
    }
}
