package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoAttachmentQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoAttachmentQueryVo;
import com.xdf.creative.module.entity.InfoAttachment;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 相关附件表 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
public interface InfoAttachmentService extends BaseService<InfoAttachment> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoAttachmentQueryVo getInfoAttachmentById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoAttachmentQueryParam
     * @return
     */
    PageTool<InfoAttachmentQueryVo> getInfoAttachmentPageList(InfoAttachmentQueryParam infoAttachmentQueryParam) throws Exception;

}
