package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoContentKeywordQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoContentKeywordQueryVo;
import com.xdf.creative.module.entity.InfoContentKeyword;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 信息和关键字关联表 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-11-27
 */
public interface InfoContentKeywordService extends BaseService<InfoContentKeyword> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoContentKeywordQueryVo getInfoContentKeywordById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoContentKeywordQueryParam
     * @return
     */
    PageTool<InfoContentKeywordQueryVo> getInfoContentKeywordPageList(InfoContentKeywordQueryParam infoContentKeywordQueryParam) throws Exception;

}
