package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.SysOperateLogQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysOperateLogQueryVo;
import com.xdf.creative.module.entity.SysOperateLog;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 账户操作日志 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
public interface SysOperateLogService extends BaseService<SysOperateLog> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOperateLogQueryVo getSysOperateLogById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysOperateLogQueryParam
     * @return
     */
    PageTool<SysOperateLogQueryVo> getSysOperateLogPageList(SysOperateLogQueryParam sysOperateLogQueryParam) throws Exception;

}
