package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.SysOperationLogQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysOperationLogQueryVo;
import com.xdf.creative.module.entity.SysOperationLog;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 操作日志 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-02
 */
public interface SysOperationLogService extends BaseService<SysOperationLog> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOperationLogQueryVo getSysOperationLogById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysOperationLogQueryParam
     * @return
     */
    PageTool<SysOperationLogQueryVo> getSysOperationLogPageList(SysOperationLogQueryParam sysOperationLogQueryParam) throws Exception;

}
