package com.xdf.creative.support.aop;

import io.swagger.annotations.ApiModelProperty;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author : lgw
 * @date : 17:55 2020/3/2
 */
@Retention(RetentionPolicy.RUNTIME)//注解会在class中存在，运行时可通过反射获取
@Target(ElementType.METHOD)//目标是方法
public @interface OperateLogger {
    String name() default "";
    String attributeId() default "";
    String attributeName() default "";
}
