package com.xdf.creative.support.exception;
import com.xdf.creative.enums.ApiCode;
/**
 * 系统登录异常
 *
 * @author DeanYe
 * @date 2019-08-04
 */
public class SysLoginException extends SpringBootPlusException {

    public SysLoginException(String message) {
        super(message);
    }

    public SysLoginException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public SysLoginException(ApiCode apiCode) {
        super(apiCode.getCode(), apiCode.getMsg());
    }


}
